# Introduction

Thank you for considering contributing to this project!

Any kind of contributions will be appreciated, from improving the documentation,
submitting bug reports and feature requests or writing useful checks.

# Ground Rules

* Create issues for any major changes and enhancements that you wish to make. Discuss things transparently and get feedback.
* Keep pull requests as small as possible, preferably one new feature per pull request.

# Your First Contribution

Unsure where to begin contributing? Here you have some ideas:

* documentation is always welcome
* check the pending issues
* write new useful macros

# Getting started

1. Clone the repository if you have commit rights or create your own fork otherwise
1. Create your Feature Branch (git checkout -b feature/AmazingFeature)
1. Commit your Changes (git commit -m 'Add some AmazingFeature)
1. Push to the Branch (git push origin feature/AmazingFeature)
1. Open a Pull Request

Be sure you have followed the code style for the project.

# How to report a bug

If you find a security vulnerability, do NOT open an issue. Email security@firefield.com instead.

When filing an issue, make sure to answer these questions:

1. What did you do?
1. What did you expect to see?
1. What did you see instead?

# How to suggest a feature or enhancement

Open an issue on our issues list which describes the feature you would like to
see, why you need it, and how it should work.

# Code review process

The core team looks at Pull Requests on a regular basis. After feedback has been given we expect responses within two weeks. After two weeks we may close the pull request if it isn't showing any activity.
